Asynchronous Operations
Some operations in our API are executed asynchronously, which means that you will not have to wait for the operation to finish.
In exchange, you will get a request ID that will allow you to consult the status of the operation via the call of another endpoint.
Example of Response
This is an example of response from an asynchronous operation (Manual IP Renew in this case).
requestId in the data object can be used to retrieve the related operation.Retrieve an Operation with its ID
the field requestId in the data object can be used to retrieve the related operation
Authorizations
AuthorizationstringRequired
Specify the JWT token.
Body
emailstring · emailRequired
passwordstring · passwordRequired
otpCodestring · nullableOptional
Responses
200
Success
No content
post/v2/Authentication/SignIn
POST /v2/Authentication/SignIn HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 65
{
"email": "[email protected]",
"password": "password",
"otpCode": "text"
}200
Success
No content
Endpoints Using Asynchronous Operations
There is a lit of endpoints using asynchronous operations:
Manual IP Renew
Test
Last updated